Saturday 15th February 2020 16:17

Zenario 8.5.50977 is broken with PHP 7.3

 

Creating a draft page causes a pop-up with:

 

Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in [redacted]/public_html/cms/zenario/autoload/pageCache.php on line 236

Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in [redacted]/public_html/cms/zenario/autoload/pageCache.php on line 245

etc.


Revert to PHP 7.2 and the issue goes away

 

Monday 17th February 2020 20:15

Hey Geoff

 

As you can see, PHP 7.3 comes with a lot more (air-quotes) "helpful" debug warnings.

 

In version 8.6 of Zenario we did a sweep looking for these and have removed them. However as 8.6 isn't publicly available for download yet, that's not much help to you.

 

For now, if you want to use PHP 7.3 then we recommend you just turn the warnings off. You can do this by editing your zenario_siteconfig.php file, finding the ERROR_REPORTING_LEVEL definition, and changing it to:

 

define('ERROR_REPORTING_LEVEL', (E_ALL & ~E_NOTICE & ~E_STRICT & ~E_WARNING));

 

Staying on PHP 7.2 might not be the best idea, as it is coming up to its end-of-life at the end of the year.

You must confirm your screen name on your profile in order to comment.

Please Login if you wish to add a message.